---
title: RTCIceRole
slug: Web/API/RTCIceRole
tags:
  - API
  - Controlled Agent
  - Controlling Agent
  - Enumerated Type
  - Enumeration
  - ICE
  - Media
  - RTCIceRole
  - Reference
  - Rôle
  - Type
  - WebRTC
  - WebRTC API
  - agent
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>RTCIceRole</code></strong> enumerated type lists the string values that identify whether a connection's ICE agent is serving as the controlling agent or the controlled agent, as indicated by {{domxref("RTCIceTransport.role")}}.</span></p>

<p>You can learn more about ICE roles in {{SectionOnPage("/en-US/docs/Web/API/WebRTC_API/Connectivity", "Choosing a candidate pair")}}.</p>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>"controlling"</code></dt>
 <dd>The {{domxref("RTCIceTransport")}} object is serving as the controlling agent.</dd>
 <dt><code>"controlled"</code></dt>
 <dd>The transport is the controlled agent.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#rtcicerole', 'RTCIceRole')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceRole")}}</p>
</div>
